<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.inspection.mapper.DelOrderInfoMapper">

    <resultMap type="cn.iocoder.yudao.module.inspection.entity.DelOrderInfo" id="DelOrderInfoResult">
        <result property="id"    column="id"    />
        <result property="transactionId"    column="transaction_id"    />
        <result property="orderNo"    column="order_no"    />
        <result property="goodsId"    column="goods_id"    />
        <result property="goodsTitle"    column="goods_title"    />
        <result property="goodsType"    column="goods_type"    />
        <result property="skuId"    column="sku_id"    />
        <result property="skuName"    column="sku_name"    />
        <result property="userId"    column="user_id"    />
        <result property="realName"    column="real_name"    />
        <result property="phonenumber"    column="phonenumber"    />
        <result property="goodsPrice"    column="goods_price"    />
        <result property="payMoney"    column="pay_money"    />
        <result property="orderTime"    column="order_time"    />
        <result property="reduceMoney"    column="reduce_money"    />
        <result property="balance"    column="balance"    />
        <result property="payTime"    column="pay_time"    />
        <result property="payType"    column="pay_type"    />
        <result property="payRemark"    column="pay_remark"    />
        <result property="isOnline"    column="is_online"    />
        <result property="receivablesAccount"    column="receivables_account"    />
        <result property="orderStatus"    column="order_status"    />
        <result property="commentDesc"    column="comment_desc"    />
        <result property="commentStar"    column="comment_star"    />
        <result property="commentTime"    column="comment_time"    />
        <result property="accessCode"    column="access_code"    />
        <result property="orderType"    column="order_type"    />
        <result property="partnerId"    column="partner_id"    />
        <result property="partnerName"    column="partner_name"    />
        <result property="createTime"    column="create_time"    />
        <result property="creator"    column="creator"    />
        <result property="deptId"    column="dept_id"    />
        <result property="updateTime"    column="update_time"    />
        <result property="updater"    column="updater"    />
        <result property="validationTime"    column="validation_time"    />
        <result property="validationRealName"    column="validation_real_name"    />
        <result property="validationUserId"    column="validation_user_id"    />
        <result property="isCoupon"    column="is_coupon"    />
        <result property="couponId"    column="coupon_id"    />
        <result property="couponCode"    column="coupon_code"    />
        <result property="couponDiscount"    column="coupon_discount"    />
        <result property="goodNum"    column="good_num"    />
        <result property="pickCarId"    column="pick_car_id"    />
        <result property="userCarId"    column="user_car_id"    />
        <result property="otherPhone"    column="other_phone"    />
        <result property="driverLicenesImg"    column="driver_licenes_img"    />
        <result property="isPayOnline"    column="is_pay_online"    />
        <result property="isPickCar"    column="is_pick_car"    />
        <result property="remark"    column="remark"    />
        <result property="carNo"    column="car_no"    />
        <result property="carModel"    column="car_model"    />
        <result property="carNature"    column="car_nature"    />
        <result property="carIdNo"    column="car_id_no"    />
    </resultMap>

    <sql id="selectDelOrderInfoVo">
        select id, transaction_id, order_no, goods_id, goods_title, goods_type, sku_id, sku_name, user_id, real_name, phonenumber, goods_price, pay_money, order_time, reduce_money, balance, pay_time, pay_type, pay_remark, is_online, receivables_account, order_status, comment_desc, comment_star, comment_time, access_code, order_type, partner_id, partner_name, create_time, creator, dept_id, update_time, updater, validation_time, validation_real_name, validation_user_id, is_coupon, coupon_id, coupon_code, coupon_discount, good_num, pick_car_id, user_car_id, other_phone, driver_licenes_img, is_pay_online, is_pick_car, remark, car_no, car_model, car_nature, car_id_no from del_order_info
    </sql>

    <select id="selectDelOrderInfoList" parameterType="cn.iocoder.yudao.module.inspection.entity.DelOrderInfo" resultMap="DelOrderInfoResult">
        <include refid="selectDelOrderInfoVo"/>
        <where>
            <if test="transactionId != null  and transactionId != ''"> and transaction_id = #{transactionId}</if>
            <if test="orderNo != null  and orderNo != ''"> and order_no = #{orderNo}</if>
            <if test="goodsId != null "> and goods_id = #{goodsId}</if>
            <if test="goodsTitle != null  and goodsTitle != ''"> and goods_title = #{goodsTitle}</if>
            <if test="goodsType != null  and goodsType != ''"> and goods_type = #{goodsType}</if>
            <if test="skuId != null "> and sku_id = #{skuId}</if>
            <if test="skuName != null  and skuName != ''"> and sku_name like concat('%', #{skuName}, '%')</if>
            <if test="userId != null "> and user_id = #{userId}</if>
            <if test="realName != null  and realName != ''"> and real_name like concat('%', #{realName}, '%')</if>
            <if test="phonenumber != null  and phonenumber != ''"> and phonenumber = #{phonenumber}</if>
            <if test="goodsPrice != null "> and goods_price = #{goodsPrice}</if>
            <if test="payMoney != null "> and pay_money = #{payMoney}</if>
            <if test="orderTime != null "> and order_time = #{orderTime}</if>
            <if test="reduceMoney != null "> and reduce_money = #{reduceMoney}</if>
            <if test="balance != null "> and balance = #{balance}</if>
            <if test="payTime != null "> and pay_time = #{payTime}</if>
            <if test="payType != null  and payType != ''"> and pay_type = #{payType}</if>
            <if test="payRemark != null  and payRemark != ''"> and pay_remark = #{payRemark}</if>
            <if test="isOnline != null  and isOnline != ''"> and is_online = #{isOnline}</if>
            <if test="receivablesAccount != null  and receivablesAccount != ''"> and receivables_account = #{receivablesAccount}</if>
            <if test="orderStatus != null  and orderStatus != ''"> and order_status = #{orderStatus}</if>
            <if test="commentDesc != null  and commentDesc != ''"> and comment_desc = #{commentDesc}</if>
            <if test="commentStar != null "> and comment_star = #{commentStar}</if>
            <if test="commentTime != null "> and comment_time = #{commentTime}</if>
            <if test="accessCode != null  and accessCode != ''"> and access_code = #{accessCode}</if>
            <if test="orderType != null  and orderType != ''"> and order_type = #{orderType}</if>
            <if test="partnerId != null "> and partner_id = #{partnerId}</if>
            <if test="partnerName != null  and partnerName != ''"> and partner_name like concat('%', #{partnerName}, '%')</if>
            <if test="deptId != null "> and dept_id = #{deptId}</if>
            <if test="validationTime != null "> and validation_time = #{validationTime}</if>
            <if test="validationRealName != null  and validationRealName != ''"> and validation_real_name like concat('%', #{validationRealName}, '%')</if>
            <if test="validationUserId != null "> and validation_user_id = #{validationUserId}</if>
            <if test="isCoupon != null  and isCoupon != ''"> and is_coupon = #{isCoupon}</if>
            <if test="couponId != null "> and coupon_id = #{couponId}</if>
            <if test="couponCode != null  and couponCode != ''"> and coupon_code = #{couponCode}</if>
            <if test="couponDiscount != null "> and coupon_discount = #{couponDiscount}</if>
            <if test="goodNum != null "> and good_num = #{goodNum}</if>
            <if test="pickCarId != null "> and pick_car_id = #{pickCarId}</if>
            <if test="userCarId != null "> and user_car_id = #{userCarId}</if>
            <if test="otherPhone != null  and otherPhone != ''"> and other_phone = #{otherPhone}</if>
            <if test="driverLicenesImg != null  and driverLicenesImg != ''"> and driver_licenes_img = #{driverLicenesImg}</if>
            <if test="isPayOnline != null  and isPayOnline != ''"> and is_pay_online = #{isPayOnline}</if>
            <if test="isPickCar != null  and isPickCar != ''"> and is_pick_car = #{isPickCar}</if>
            <if test="carNo != null  and carNo != ''"> and car_no = #{carNo}</if>
            <if test="carModel != null  and carModel != ''"> and car_model = #{carModel}</if>
            <if test="carNature != null  and carNature != ''"> and car_nature = #{carNature}</if>
            <if test="carIdNo != null  and carIdNo != ''"> and car_id_no = #{carIdNo}</if>
        </where>
    </select>

    <select id="selectDelOrderInfoById" parameterType="Long" resultMap="DelOrderInfoResult">
        <include refid="selectDelOrderInfoVo"/>
        where id = #{id}
    </select>

    <insert id="insertDelOrderInfo" parameterType="cn.iocoder.yudao.module.inspection.entity.DelOrderInfo" useGeneratedKeys="true" keyProperty="id">
        insert into del_order_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="transactionId != null">transaction_id,</if>
            <if test="orderNo != null">order_no,</if>
            <if test="goodsId != null">goods_id,</if>
            <if test="goodsTitle != null">goods_title,</if>
            <if test="goodsType != null">goods_type,</if>
            <if test="skuId != null">sku_id,</if>
            <if test="skuName != null">sku_name,</if>
            <if test="userId != null">user_id,</if>
            <if test="realName != null">real_name,</if>
            <if test="phonenumber != null">phonenumber,</if>
            <if test="goodsPrice != null">goods_price,</if>
            <if test="payMoney != null">pay_money,</if>
            <if test="orderTime != null">order_time,</if>
            <if test="reduceMoney != null">reduce_money,</if>
            <if test="balance != null">balance,</if>
            <if test="payTime != null">pay_time,</if>
            <if test="payType != null">pay_type,</if>
            <if test="payRemark != null">pay_remark,</if>
            <if test="isOnline != null">is_online,</if>
            <if test="receivablesAccount != null">receivables_account,</if>
            <if test="orderStatus != null">order_status,</if>
            <if test="commentDesc != null">comment_desc,</if>
            <if test="commentStar != null">comment_star,</if>
            <if test="commentTime != null">comment_time,</if>
            <if test="accessCode != null">access_code,</if>
            <if test="orderType != null">order_type,</if>
            <if test="partnerId != null">partner_id,</if>
            <if test="partnerName != null">partner_name,</if>
            <if test="createTime != null">create_time,</if>
            <if test="creator != null">creator,</if>
            <if test="deptId != null">dept_id,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="updater != null">updater,</if>
            <if test="validationTime != null">validation_time,</if>
            <if test="validationRealName != null">validation_real_name,</if>
            <if test="validationUserId != null">validation_user_id,</if>
            <if test="isCoupon != null">is_coupon,</if>
            <if test="couponId != null">coupon_id,</if>
            <if test="couponCode != null">coupon_code,</if>
            <if test="couponDiscount != null">coupon_discount,</if>
            <if test="goodNum != null">good_num,</if>
            <if test="pickCarId != null">pick_car_id,</if>
            <if test="userCarId != null">user_car_id,</if>
            <if test="otherPhone != null">other_phone,</if>
            <if test="driverLicenesImg != null">driver_licenes_img,</if>
            <if test="isPayOnline != null">is_pay_online,</if>
            <if test="isPickCar != null">is_pick_car,</if>
            <if test="remark != null">remark,</if>
            <if test="carNo != null">car_no,</if>
            <if test="carModel != null">car_model,</if>
            <if test="carNature != null">car_nature,</if>
            <if test="carIdNo != null">car_id_no,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="transactionId != null">#{transactionId},</if>
            <if test="orderNo != null">#{orderNo},</if>
            <if test="goodsId != null">#{goodsId},</if>
            <if test="goodsTitle != null">#{goodsTitle},</if>
            <if test="goodsType != null">#{goodsType},</if>
            <if test="skuId != null">#{skuId},</if>
            <if test="skuName != null">#{skuName},</if>
            <if test="userId != null">#{userId},</if>
            <if test="realName != null">#{realName},</if>
            <if test="phonenumber != null">#{phonenumber},</if>
            <if test="goodsPrice != null">#{goodsPrice},</if>
            <if test="payMoney != null">#{payMoney},</if>
            <if test="orderTime != null">#{orderTime},</if>
            <if test="reduceMoney != null">#{reduceMoney},</if>
            <if test="balance != null">#{balance},</if>
            <if test="payTime != null">#{payTime},</if>
            <if test="payType != null">#{payType},</if>
            <if test="payRemark != null">#{payRemark},</if>
            <if test="isOnline != null">#{isOnline},</if>
            <if test="receivablesAccount != null">#{receivablesAccount},</if>
            <if test="orderStatus != null">#{orderStatus},</if>
            <if test="commentDesc != null">#{commentDesc},</if>
            <if test="commentStar != null">#{commentStar},</if>
            <if test="commentTime != null">#{commentTime},</if>
            <if test="accessCode != null">#{accessCode},</if>
            <if test="orderType != null">#{orderType},</if>
            <if test="partnerId != null">#{partnerId},</if>
            <if test="partnerName != null">#{partnerName},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="creator != null">#{creator},</if>
            <if test="deptId != null">#{deptId},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="updater != null">#{updater},</if>
            <if test="validationTime != null">#{validationTime},</if>
            <if test="validationRealName != null">#{validationRealName},</if>
            <if test="validationUserId != null">#{validationUserId},</if>
            <if test="isCoupon != null">#{isCoupon},</if>
            <if test="couponId != null">#{couponId},</if>
            <if test="couponCode != null">#{couponCode},</if>
            <if test="couponDiscount != null">#{couponDiscount},</if>
            <if test="goodNum != null">#{goodNum},</if>
            <if test="pickCarId != null">#{pickCarId},</if>
            <if test="userCarId != null">#{userCarId},</if>
            <if test="otherPhone != null">#{otherPhone},</if>
            <if test="driverLicenesImg != null">#{driverLicenesImg},</if>
            <if test="isPayOnline != null">#{isPayOnline},</if>
            <if test="isPickCar != null">#{isPickCar},</if>
            <if test="remark != null">#{remark},</if>
            <if test="carNo != null">#{carNo},</if>
            <if test="carModel != null">#{carModel},</if>
            <if test="carNature != null">#{carNature},</if>
            <if test="carIdNo != null">#{carIdNo},</if>
        </trim>
    </insert>

    <update id="updateDelOrderInfo" parameterType="cn.iocoder.yudao.module.inspection.entity.DelOrderInfo">
        update del_order_info
        <trim prefix="SET" suffixOverrides=",">
            <if test="transactionId != null">transaction_id = #{transactionId},</if>
            <if test="orderNo != null">order_no = #{orderNo},</if>
            <if test="goodsId != null">goods_id = #{goodsId},</if>
            <if test="goodsTitle != null">goods_title = #{goodsTitle},</if>
            <if test="goodsType != null">goods_type = #{goodsType},</if>
            <if test="skuId != null">sku_id = #{skuId},</if>
            <if test="skuName != null">sku_name = #{skuName},</if>
            <if test="userId != null">user_id = #{userId},</if>
            <if test="realName != null">real_name = #{realName},</if>
            <if test="phonenumber != null">phonenumber = #{phonenumber},</if>
            <if test="goodsPrice != null">goods_price = #{goodsPrice},</if>
            <if test="payMoney != null">pay_money = #{payMoney},</if>
            <if test="orderTime != null">order_time = #{orderTime},</if>
            <if test="reduceMoney != null">reduce_money = #{reduceMoney},</if>
            <if test="balance != null">balance = #{balance},</if>
            <if test="payTime != null">pay_time = #{payTime},</if>
            <if test="payType != null">pay_type = #{payType},</if>
            <if test="payRemark != null">pay_remark = #{payRemark},</if>
            <if test="isOnline != null">is_online = #{isOnline},</if>
            <if test="receivablesAccount != null">receivables_account = #{receivablesAccount},</if>
            <if test="orderStatus != null">order_status = #{orderStatus},</if>
            <if test="commentDesc != null">comment_desc = #{commentDesc},</if>
            <if test="commentStar != null">comment_star = #{commentStar},</if>
            <if test="commentTime != null">comment_time = #{commentTime},</if>
            <if test="accessCode != null">access_code = #{accessCode},</if>
            <if test="orderType != null">order_type = #{orderType},</if>
            <if test="partnerId != null">partner_id = #{partnerId},</if>
            <if test="partnerName != null">partner_name = #{partnerName},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="creator != null">creator = #{creator},</if>
            <if test="deptId != null">dept_id = #{deptId},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="updater != null">updater = #{updater},</if>
            <if test="validationTime != null">validation_time = #{validationTime},</if>
            <if test="validationRealName != null">validation_real_name = #{validationRealName},</if>
            <if test="validationUserId != null">validation_user_id = #{validationUserId},</if>
            <if test="isCoupon != null">is_coupon = #{isCoupon},</if>
            <if test="couponId != null">coupon_id = #{couponId},</if>
            <if test="couponCode != null">coupon_code = #{couponCode},</if>
            <if test="couponDiscount != null">coupon_discount = #{couponDiscount},</if>
            <if test="goodNum != null">good_num = #{goodNum},</if>
            <if test="pickCarId != null">pick_car_id = #{pickCarId},</if>
            <if test="userCarId != null">user_car_id = #{userCarId},</if>
            <if test="otherPhone != null">other_phone = #{otherPhone},</if>
            <if test="driverLicenesImg != null">driver_licenes_img = #{driverLicenesImg},</if>
            <if test="isPayOnline != null">is_pay_online = #{isPayOnline},</if>
            <if test="isPickCar != null">is_pick_car = #{isPickCar},</if>
            <if test="remark != null">remark = #{remark},</if>
            <if test="carNo != null">car_no = #{carNo},</if>
            <if test="carModel != null">car_model = #{carModel},</if>
            <if test="carNature != null">car_nature = #{carNature},</if>
            <if test="carIdNo != null">car_id_no = #{carIdNo},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteDelOrderInfoById" parameterType="Long">
        delete from del_order_info where id = #{id}
    </delete>

    <delete id="deleteDelOrderInfoByIds" parameterType="String">
        delete from del_order_info where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>
